Skip to main content
GET
/
monitor
/
{id}
/
incident
List all Incidents for a Monitor
curl --request GET \
  --url https://api.alerty.ai/monitor/{id}/incident \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "title": "<string>",
    "state": "ACTIVE",
    "description": "<string>",
    "acknowledgedAt": "2023-11-07T05:31:56Z",
    "reopenedAt": "2023-11-07T05:31:56Z",
    "closedAt": "2023-11-07T05:31:56Z",
    "resolvedAt": "2023-11-07T05:31:56Z",
    "snoozedUntil": "2023-11-07T05:31:56Z",
    "notes": [
      {
        "id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "createdBy": {
          "id": "<string>",
          "email": "<string>",
          "firstName": "<string>",
          "lastName": "<string>",
          "emailVerified": true,
          "profilePictureURL": "<string>"
        },
        "content": "<string>"
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

the monitor identifier Unique identifier for the entity

Example:

"5df33a85-2b9c-40e3-8854-760ee3b8efc7"

Response

successful retrieved monitor incidents

id
string<uuid>
required

Unique identifier for the entity

Example:

"5df33a85-2b9c-40e3-8854-760ee3b8efc7"

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
title
string
required

the incident title

state
enum<string>
required

state of the incident during its lifecycle

Available options:
ACTIVE,
ACKNOWLEDGED,
SNOOZED,
RESOLVED,
CLOSED,
REOPENED
description
string

the incident description field

monitor
object

resource monitor

createdBy
object
acknowledgedAt
string<date-time>

timestamp when incident was acknowledged

acknowledgedBy
object
reopenedAt
string<date-time>

timestamp when incident was reopened

reopenedBy
object
closedAt
string<date-time>

timestamp when incident was closed

closedBy
object
resolvedAt
string<date-time>

timestamp when incident was closed

resolvedBy
object
snoozedUntil
string<date-time>

until when the monitor will be in snoozed mode

snoozeddBy
object
notes
object[]

list of incidents notes